<template>

<div class=" px-0 mx-0">
<h3 class="pt-3 pb-3 bordobottom text-xs-center">{{ $t('Trasformazione') }}</h3>
      <v-carousel height="650px" light hide-controls interval="600000">
        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('affioratori_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="affioratori.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'affioratori_title'"
            :stepDesc="'affioratori_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('affioratori_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Temperatura durante il processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">11°</p>
                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">24/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
<!--sezione 2 -->
        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('caseificazione_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="caseificazione.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'caseificazione_title'"
            :stepDesc="'caseificazione_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('caseificazione_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">25/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
<!--sezione 3 ---->
                  <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('mixer_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="mixer.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'mixer_title'"
            :stepDesc="'mixer_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('mixer_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>


              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">25/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>


                            <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('placcacaseina_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="placcacaseina.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'placcacaseina_title'"
            :stepDesc="'placcacaseina_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('placcacaseina_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>

              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Lotto (placca di caseina)') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">2233</p>
                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">25/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
<!--sezione 5 -->
          <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('giorno1_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="giorno1.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="10" 
            :sezionecorrente="5" 
            :certificato="true" 
            :mappa="false"
            :stepId="'giorno1_title'"
            :stepDesc="'giorno1_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('giorno1_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
                
              </v-layout>
              
              <v-layout row wrap px-0 >
                <v-flex xs8 sm8 md8>
                  <p class="descrizione text-xs-left">{{ $t('Temperatura durante il processo') }}</p>
                </v-flex>
                <v-flex xs4 sm4 md4>
                  <p class="descrizione text-xs-right">25°</p>
                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">25/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>

        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('giorno2_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="giorno2.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="6" 
            :certificato="true" 
            :mappa="false"
            :stepId="'giorno2_title'"
            :stepDesc="'giorno2_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('giorno2_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
              
              <v-layout row wrap px-0 >
                <v-flex xs8 sm8 md8>
                  <p class="descrizione text-xs-left">{{ $t('Temperatura durante il processo') }}</p>
                </v-flex>
                <v-flex xs4 sm4 md4>
                  <p class="descrizione text-xs-right">20°</p>
                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">26/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>

        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('salamoia_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="salamoia.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'salamoia_title'"
            :stepDesc="'salamoia_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('salamoia_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
                            <v-layout row wrap px-0 >
                <v-flex xs8 sm8 md8>
                  <p class="descrizione text-xs-left">{{ $t('Temperatura durante il processo') }}</p>
                </v-flex>
                <v-flex xs4 sm4 md4>
                  <p class="descrizione text-xs-right">16,5°</p>
                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">27/02/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>

          <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('lavaturaEasciugatura_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="lavaturaEasciugatura.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'lavaturaEasciugatura_title'"
            :stepDesc="'lavaturaEasciugatura_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('lavaturaEasciugatura_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs8 sm8 md8>
                  <p class="descrizione text-xs-left">{{ $t('Temperatura durante il processo') }}</p>
                </v-flex>
                <v-flex xs4 sm4 md4>
                  <p class="descrizione text-xs-right">30°</p>
                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">20/03/20</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>

        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('stagionatura_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="stagionatura.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'stagionatura_title'"
            :stepDesc="'stagionatura_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('stagionatura_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
              <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Temperatura durante il processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">20°</p>
                </v-flex>
              </v-layout>
                            <v-layout row wrap px-0 >
                <v-flex xs9 sm9 md9>
                  <p class="descrizione text-xs-left">{{ $t('Data del processo') }}</p>
                </v-flex>
                <v-flex xs3 sm3 md3>
                  <p class="descrizione text-xs-right">12 mesi</p>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
<!--ultima-->
        <v-carousel-item>
          <h4 class="header-carousel mt-2">{{ $t('espertizzazione_title') }}</h4>
            <v-container fluid grid-list-md>
              <v-layout row wrap>
                <v-flex d-flex xs12 sm12 md12>
            <intestazione
            immagine="espertizzazione.png" 
            titolosezione="" 
            id="2" 
            :nsezioni="3" 
            :sezionecorrente="1" 
            :certificato="true" 
            :mappa="false"
            :stepId="'espertizzazione_title'"
            :stepDesc="'espertizzazione_description'"
            :txhash="'0xbdf2f6d132ba70bbb197714a19475436ea1ada21d4acf3d41614d45371b17d2f'"
            :type="'tx'"
            :timestamp="'Jun-24-2020 04:11:39 PM +UTC'"
            />
                </v-flex>
                <v-flex mt-0 d-flex xs12 sm12 md12>

                 <read-more v-bind:more-str="$t('show_more')" v-bind:text="$t('espertizzazione_description')" link="#" v-bind:less-str="$t('show_less')" :max-chars="180" class="mb-3 text-xs-center"></read-more>

                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
      </v-carousel>
</div>

</template>
<script>

import intestazione from '@/components/intestazione'
export default {
  name: 'caroselloAboutAllevamento',
  props: {
  },
  data () {
    return {
    }
  },
  components: {
    intestazione
  }

}
</script>
<style>
.v-carousel {
  box-shadow: none;
  -webkit-box-shadow: none;
}
.v-carousel__controls{
  background: none;
}
.v-btn .v-btn__content .v-icon {
  color: #ffda00
}
.theme--light.v-btn{
  color: #000000;
}
.theme--light.v-btn.v-btn--active{
  opacity: 1 !important;
}
.theme--light.v-sheet{
    background-color: transparent;
    border-color: transparent;
    color: transparent;
}
.img-carusel{
  width: 100%;
  height: 100%;
  border-radius: 20px 20px 20px 20px;
  position: relative;
}
button.btn-dettagli{
  margin-top:10%;
}
.btn-dettagli {
  margin: auto;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}
.v-carousel__controls__item {
    margin: 0 2px !important;
}
.header-carousel{
  text-align: center;
}
.bg-color{
  background-color: #ffffd7;
}

/* styles for '...' */ 
.block-with-text {
  /* hide text if it more than N lines  */
  overflow: hidden;
  /* for set '...' in absolute position */
  position: relative; 
  /* use this value to count block height */
  line-height: 1.2em;
  /* max-height = line-height (1.2) * lines max number (3) */
  max-height: 3.6em; 
  /* fix problem when last visible word doesn't adjoin right side  */
  text-align: justify;  
  /* place for '...' */
  margin-right: -1em;
  padding-right: 1em;
}
/* create the ... */
.block-with-text:before {
  /* points in the end */
  content: '...';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of block */
  right: 0;
  bottom: 0;
}
/* hide ... if we have text, which is less than or equal to max lines */
.block-with-text:after {
  /* points in the end */
  content: '';
  /* absolute position */
  position: absolute;
  /* set position to right bottom corner of text */
  right: 0;
  /* set width and height */
  width: 1em;
  height: 1em;
  margin-top: 0.2em;
  /* bg color = bg color under block */
  background: white;
}

@media only screen and (min-width: 460px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightblue;*/
    height:500px!important;
  }
}
@media only screen and (min-width: 860px) {
  .v-window.v-carousel,.v-image.v-carousel__item {
    /*background-color: lightcoral;*/
    height:550px!important;
  }
}
</style>